<?php
require($_SERVER['DOCUMENT_ROOT'].'/include/header.inc');
require($_SERVER['DOCUMENT_ROOT'].'/include/mail.inc');
define('MEMBER_MAILSETTING',modules_getModuleMailSettingsId(MODULE_ID_MEMBERSHIP));
define("MAIL_SETTINGS",system_getMailSettings(MEMBER_MAILSETTING));

$configarray=modules_getModuleConfig(MODULE_NAME_ARRAY[MODULE_ID_MEMBERSHIP]);
define('ACTIVEMODULE',array(
    "id" => $configarray["id"],
    "name" => MODULE_NAME_ARRAY[MODULE_ID_MEMBERSHIP],
    "path" => ROOTPATH.$configarray["path"],
    "url" => $configarray["path"],
    "ppnotifyurl" => $configarray["notifyurl"],
    "ppreturnurl" => $configarray["returnurl"],
    "ppcancelurl" => $configarray["cancelurl"],
    "ppaccountname" => $configarray["accountname"],
    "payments" => $configarray["haspayments"],
    "mailsetting" => $configarray["mailsettingid"],
    "cutoff" => $configarray["cutoff"],
    "cutoffcheque" => $configarray["chequecutoff"],
    "isactive" => $configarray["isactive"],
    "chequename" => $configarray["chequename"],
    "postaladdress" => $configarray["postaladdress"],
    "secret" => $configarray["secret"],
    "clientid" => $configarray["clientid"]
));
unset($configarray);

$paytype=$_POST["paytype"];
$payid=0;
$txn_id="";
$disabled=false;
$isdealer=false;
$fulldealer=false;
$isartist=false;
if ($paytype==2) {
    $payid=payment_getPaymentIdFromReference($_POST["payref"]);
    $txn_id=payment_getTransactionIdFromId($payid);
}
$memtype=$_POST["memtype"];
if ($memtype==6) { //full dealer
    $fulldealer=true;
    $isdealer=true;
}
else if ($memtype==9) { //disabled
    $disabled=true;
}
else if ($memtype==12) { //half table dealer
    $isdealer=true;
}
else if ($memtype==5) {
    $isartist=true;
}

$panellists=0;
$arrPanellists=array();

$arrMembers=array();
$arrtemp=array(
    'recordid'=>0,
    'cost'=>$_POST["cost"],
    "type"=>$memtype,
    'firstname'=>$_POST["firstname"],
    'lastname'=>$_POST["lastname"],
    'badgename'=>$_POST["badgename"],
    'emailaddress'=>$_POST["emailaddress"],
    'panellist'=>((isset($_POST["bepanellist"]))?$_POST["bepanellist"]:0),
    'companyname'=>(($isdealer)?$_POST["companyname"]:""),
    'numberoftables'=>(($fulldealer)?$_POST["numberoftables"]:0)
);
if (isset($_POST["bepanellist"])) {
    $panellists++;
    array_push($arrPanellists,$arrtemp);
}

array_push($arrMembers,$arrtemp);

if ($disabled) {
    if ($_POST["firstname2"]!="" && $_POST["lastname2"]!="") {
        $arrtemp=array(
            'recordid'=>0,
            'cost'=>0,
            "type"=>3,
            'firstname'=>$_POST["firstname2"],
            'lastname'=>$_POST["lastname2"],
            'badgename'=>$_POST["badgename2"],
            'emailaddress'=>isset($_POST["emailaddress2"])?$_POST["emailaddress2"]:"",
            'panellist'=>((isset($_POST["bepanellist2"]))?1:0),
            'companyname'=>'',
            'numberoftables'=>0
        );
        array_push($arrMembers,$arrtemp);
        if (isset($_POST["bepanellist2"])) {
            $panellists++;
            array_push($arrPanellists,$arrtemp);
        }
    }
}
if ($fulldealer) {
    $numtables=$_POST["numberoftables"];
    for ($i=0;$i<$numtables-1;$i++) {
        if ($_POST["firstname".($i+2)]!="" && $_POST["lastname".($i+2)]!="") {
            $arrtemp=array(
                'recordid'=>0,
                "type"=>$memtype,
                'cost'=>0,
                'firstname'=>$_POST["firstname".($i+2)],
                'lastname'=>$_POST["lastname".($i+2)],
                'badgename'=>$_POST["badgename".($i+2)],
                'emailaddress'=>isset($_POST["emailaddress".($i+2)])?$_POST["emailaddress".($i+2)]:"",
                'panellist'=>((isset($_POST["bepanellist".($i+2)]))?1:0),
                'companyname'=>'',
                'numberoftables'=>0
            );
            array_push($arrMembers,$arrtemp);
            if (isset($_POST["bepanellist".($i+2)])) {
                $panellists++;
                array_push($arrPanellists,$arrtemp);
            }
        }
    }
}
for ($i=0;$i<count($arrMembers);$i++) {
    $arrMembers[$i]["recordid"]=member_processRecord($arrMembers[$i]);
}

if ($payid!=0) {
    //link payment to first member
    member_linkPayment(member_getMTCIdForMember($arrMembers[0]["recordid"]),$payid,$_POST["cost"]);
    //set status of all members to active
    for ($i=0;$i<count($arrMembers);$i++) {
        member_setActiveStatus(member_getMTCIdForMember($arrMembers[$i]["recordid"]));
    }
}

if ($paytype==1) {
    $chequepayment="You have elected to pay &pound;".$_POST["cost"]." by cheque<br>Please make your cheque payable to <strong>".ACTIVEMODULE["chequename"]."</strong> and send to the following address:</p>";
    $chequepayment=$chequepayment."<p>".ACTIVEMODULE["postaladdress"]."</p>";
    $chequepayment=$chequepayment."<p>Please include the names of the memberships the cheque applies to and if you want a receipt then please say so and include a Stamped Self Addressed Envelope</p>	";
    $chequepayment=$chequepayment."<p><strong>Please note that it can take several days to process the cheque once received so please be patient.</strong>";
    $chequepayment=$chequepayment."<p><strong>Please also note that until the cheque has been processed, the memberships above will be pending, you will receive confirmation when the cheque has been processed</strong>";
    $memberpayment=$chequepayment;
    $membershippayment="The user has elected to pay by cheque, details have been sent to them on how to do this";
}
else if ($paytype==2) {
    $memberpayment="You have paid &pound;".$_POST["cost"]." by PayPal<br>The Payment has been received and processed our reference number is <strong>".$txn_id."</strong>";
    $membershippayment="The user has paid by PayPal, the PayPal reference number is <strong>".$txn_id."</strong>";
}
else {
    $memberpayment="There is no charge for this membership";
    $membershippayment="There is no charge for the membership";
}



if ($paytype==0) { //nothing to pay so set the members to active (should only be accessed in the case of a child)
    for ($i=0;$i<count($arrMembers);$i++) {
        member_setActiveStatus(member_getMTCIdForMember($arrMembers[$i]["recordid"]));
    }
}

if (count($arrMembers)>1) {
    //link members 2 and 3 to 1
    for ($i=1;$i<count($arrMembers);$i++) {
        member_linkRecords($arrMembers[0]["recordid"],$arrMembers[$i]["recordid"]);
    }
}

#send emails here

if ($memberpayment!="") { //send user confirmation
    mail_sendConfirmationEmail($_POST["emailaddress"],count($arrMembers),$arrMembers,$memberpayment);
}
if ($membershippayment!="") { //send confirmation to membership@
    mail_sendMembershipConfirmationEmail(count($arrMembers), $arrMembers, $membershippayment);
}
if ($panellists>0) { //send participants to programme@
    mail_sendNewMemberParticipantEmail($panellists,$arrPanellists);
}
if ($isdealer) { //send dealers to dealers@
    mail_sendNewMemberDealerEmail(count($arrMembers), $arrMembers);
}
if ($isartist) {//send artists to artshow@
    mail_sendNewMemberArtistEmail(count($arrMembers),$arrMembers);
}

$_SESSION["memberpurchaseid"]=$arrMembers[0]["recordid"];
header('Location: '.URLPATH.'/confirmation.php');
die();
?>