<?php

require($_SERVER['DOCUMENT_ROOT'].'/include/header.inc');
modules_loadModule(MODULE_NAME_ARRAY[MODULE_ID_MEMBERSHIP]);
system_loadActivePaymentMethods(ACTIVEMODULE["id"]);
require(ROOTPATH.'/include/mail.inc');
if (!MODULESETTINGS["membership"]["acceptingmemberships"]) {
    header('Location: '.URLPATH.'/index.php');
    die();
}

$input=file_get_contents('php://input');
$arr=json_decode($input,true);
$orderid=$arr["orderID"];
$cost=$arr["cost"];
$type=$arr["type"];
//$orderid=$_GET["orderid"];
//$cost=$_GET["cost"];
//$type=$_GET["type"];

$file=SYSTEMSETTINGS["logfilepath"]."/payments/".$type."/".date('Ymd_His').".log";

file_put_contents($file,$input.";\n",FILE_APPEND);
file_put_contents($file,var_dump($arr,true).";\n",FILE_APPEND);

define('ACTIVEMODULE',payment_getConfigValues($type));

require ROOTPATH."/payments/".$type."/processpayment.inc";

file_put_contents($file,var_dump($txn,true).";\n",FILE_APPEND);


$total=$cost;
if ($payment_status=="COMPLETED") {
    file_put_contents($file,"completed;\n",FILE_APPEND);
    //check txn_id not been previously processed
    if (!payment_isTransactionIdAlreadyUsed($txn_id)) {
        file_put_contents($file,"transaction ok;\n",FILE_APPEND);
        //check receiver email is the business email
        if (payment_checkPayPalReceiverEmailIsValid($receiver_email)) {
            file_put_contents($file,"received ok;\n",FILE_APPEND);
            //check that payment_amount/currency is correct
            if (payment_isCorrectPayPalCurrency($payment_currency) && $payment_amount==$total) {
                file_put_contents($file,"currency/amount ok;\n",FILE_APPEND);
                //store the payment details
                payment_storePaymentDetails($txn_id,$payment_amount,$payer_email,$file,$orderid);
                echo "0";
            }
            else {
                file_put_contents($file,"wrong currency/amount;\n",FILE_APPEND);
                file_put_contents($file,"currency:".$payment_currency."\n",FILE_APPEND);
                file_put_contents($file,"amount:".$payment_amount."\n",FILE_APPEND);
                //wrong currency or amount
            }
        }
        else {
            file_put_contents($file,"wrong receive email;\n",FILE_APPEND);
            //wrong receiver email
        }
    }
    else {
        file_put_contents($file,"transaction already processed;\n",FILE_APPEND);
        //transaction id already processed
    }
}
else {
    file_put_contents($file,"not completed;\n",FILE_APPEND);
    //not completed
}
?>