<?php
function debugmode_logEntry($file,$function,$message) {
	//log to file
}

function debugmode_displayDBRrror($conn) {
	echo "<div>Database Error:<pre>".$conn->error."</pre></div>";
}

function debugmode_displayDBSsql($sql) {
	echo "<div>Database Query:<pre>".$sql."</pre></div>";
}

function debugmode_print($filename,$functionname,$conn,$sql) {
	if (DEBUG_MODE) {
		echo '<div class="col-sm-10 col-sm-offset-1" style="border:1px solid #000000;"><h1>DEBUG INFORMATION - Database Call</h1>File:<pre>'.$filename.'</pre>';
		echo "Function name:<pre>".$functionname."</pre>";
		debugmode_displayDBRrror($conn);
		debugmode_displayDBSsql($sql);
		echo "</div><div class=\"col-sm-1\">&nbsp;</div>";
		echo "<div>&nbsp;</div>";
	}
}

function debugmode_displaySessionInformation() {
	echo "<strong>Session Information</strong><br><pre>";
	foreach($_SESSION as $key=>$val) {
		if (is_array($_SESSION[$key])) {
			echo $key."=";
			print_r($_SESSION[$key]);
			echo "<br>";
		}
		else {
			echo $key."=".$val."<br>";
		}
	}
	echo "</pre><br><br>";
}

function debugmode_displayPostInformation() {
	echo "<strong>Post Information</strong><pre>";
	foreach($_POST as $key=>$val) {
		if (is_array($_POST[$key])) {
			echo $key."=";
			print_r($_POST[$key]);
			echo "<br>";
		}
		else {
			echo $key."=".$val."<br>";
		}
	}
	echo "</pre><br>";
}

function debugmode_displayGetInformation() {
	echo "<strong>Get Information</strong><pre>";
	foreach($_GET as $key=>$val) {
		if (is_array($_GET[$key])) {
			echo $key."=";
			print_r($_GET[$key]);
			echo "<br>";
		}
		else {
			echo $key."=".$val."<br>";
		}
	}
	echo "</pre><br>";
}

function debugmode_allInfo() {
	echo '<div class="col-sm-10 col-sm-offset-1" style="border:1px solid #000000;"><h1>DEBUG INFORMATION - Other Information</h1>';
	debugmode_displaySessionInformation();
	debugmode_displayPostInformation();
	debugmode_displayGetInformation();
	echo "</div><div class=\"col-sm-1\"></div>";
}

function debugmode_displayAllDefinedConstants() {
	echo '<div class="col-sm-10 col-sm-offset-1" style="border:1px solid #000000;"><h1>DEBUG INFORMATION - All Defined Constants</h1>';
	echo "<pre>";
	print_r(get_defined_constants(true)["user"]);
	echo "</pre>";
	echo '</div>';
}
?>