<?php
if (!defined('ROOTPATH')) {
    define('ROOTPATH',$_SERVER['DOCUMENT_ROOT']);
}
if (!defined('URLPATH')) {
    define('URLPATH',"");
}
if (!defined('DEBUG_MODE')) {
	if (file_exists(ROOTPATH."/DEBUGMODE")) {
		ini_set('display_errors', 1);
		ini_set('display_startup_errors', 1);
		ini_set('display_errors', '1');
		error_reporting(E_ALL);
		define('DEBUG_MODE',true);
	}
	else {define('DEBUG_MODE',false);}
}
define('SYSTEMSETTINGS["logfilepath"]',ROOTPATH."/log/");
include(ROOTPATH."/include/defaults.inc");
session_start();

if (stripos($_SERVER["SCRIPT_NAME"], "/error.php") == 0) {
    include(ROOTPATH."/include/database.inc");
	include(ROOTPATH."/include/functions.inc");
	define('THISCON',system_getThisConDetails());
	define('NEXTCON',system_getNextConDetails());
	define('SYSTEMSETTINGS',system_getSystemSettings());
	define('MODULESETTINGS',modules_getModuleSettings());
	define('MODULE_NAME_ARRAY',modules_loadModuleIdentifiers());
	require ROOTPATH.'/vendor/autoload.php';
	
}
else {
	include(ROOTPATH."/include/functions.inc");
	define('SYSTEMSETTINGS',DEFAULTSYSTEMSETTINGS);
	function debugmode_allInfo() {
		//do nothing, this is just to stop errors from being raised
	}
}

$arrEnvironmentColours= array("DEV" => "#ff0000","STS" => "#0000ff", "UAT" => "#ffc300", "LIVE" => "#00ff00");

$showsuccess=false;
$successcode=0;
$errorcode=0;
$showerror=false;
if (isset($_SESSION["errorcode"])) {
	$showerror=true;
	$errorcode=intval($_SESSION["errorcode"]);
	unset($_SESSION["errorcode"]);
}
if (isset($_SESSION["successcode"])) {
	$showsuccess=true;
	$successcode=intval($_SESSION["successcode"]);
	unset($_SESSION["successcode"]);
}

$pageno=1;
if (isset($_GET["page"]) && $_GET["page"]!="") {
	$pageno=intval($_GET["page"]);
}

if (DEBUG_MODE && stripos($_SERVER["SCRIPT_NAME"], "error.php") == 0) {
	debugmode_allInfo();
}
?>