<?php
require ($_SERVER['DOCUMENT_ROOT'] . '/include/header.inc');
require($_SERVER['DOCUMENT_ROOT'].'/controls/memconfig.inc');
$today=new DateTime(date('Y-m-d'));
$condate=new DateTime(database_ToDatabaseDate(database_fromDatabaseDate(THISCON["date"])));
$daterange=new DateTime(database_ToDatabaseDate(database_fromDatabaseDate(THISCON["date"])));
$daterange->modify('+3 days');
if (!($today->format('Y-m-d')<$daterange->format('Y-m-d') && $today->format('Y-m-d')>=$condate->format('Y-m-d')) && SYSTEMSETTINGS["environment"]=="LIVE") {
    header('Location: /index.php');
    die();
}
$memtype = $_GET["type"];
$arrdets = member_getTypeDetailsPrices($memtype);
$pageHeader = NEXTCON["name"]." ".MODULESETTINGS["membership"]["priceband1"]." Registrations";
if ($arrdets["price"] < 0) {
    $arrdets["price"] = 0;
}
$maxtables = 3;
if (!isset($_GET["type"]) || $_GET["type"] == "") {
    header('Location: /index.php');
    die();#
}
$membertype = $_GET["type"];
$isdealer = (member_isDealer($membertype)) ? true : false;
$isfulldealer = (member_hasTables($membertype)) ? true : false;
$bepanellist = (!member_isChild($membertype)) ? true : false;
$isdisabled = (member_isDisabled($membertype)) ? true : false;
?>
<?php include(ROOTPATH.'/template/header.inc');?>
<?php include(ROOTPATH.'/controls/paymentmodal.inc');?>
<?php include(ROOTPATH.'/controls/startagain.inc');?>
<div class="col-sm-12 col-xs-12">&nbsp;</div>
<form id="registerform" action="/actions/dopurchase.php" method="post">
	<div class="alert alert-danger col-sm-12 col-xs-12" id="alertbasketerror" style="display:none">
		Please correct the following:
		<ul>
			<li id="errorfirstnamerequired" style="display:none"><span class="glyphicon glyphicon-chevron-right"></span> Personal Name is a required field</li>
			<li id="errorfirstnamewhitespace" style="display:none"><span class="glyphicon glyphicon-chevron-right"></span> Personal Name must contain more than just whitespace</li>
			<li id="errorlastnamerequired" style="display:none"><span class="glyphicon glyphicon-chevron-right"></span> Family Name is a required field</li>
			<li id="errorlastnamewhitespace" style="display:none"><span class="glyphicon glyphicon-chevron-right"></span> Family Name must contain more than just whitespace</li>
			<li id="errorbadgename" style="display:none"><span class="glyphicon glyphicon-chevron-right"></span> Badge Name must contain more than just whitespace</li>
			<li id="errorauthcoderequired" style="display:none"><span class="glyphicon glyphicon-chevron-right"></span> Dealer Authorisation Code is a required field. Please contact Dealer Liaison</li>
			<li id="errorauthcodeinvalid" style="display:none"><span class="glyphicon glyphicon-chevron-right"></span> The Dealer Authorisation Code entered is not valid</li>
			<li id="errorgauthcoderequired" style="display:none"><span class="glyphicon glyphicon-chevron-right"></span> Authorisation Code is a required field. Please contact Membership</li>
			<li id="errorgauthcodeinvalid" style="display:none"><span class="glyphicon glyphicon-chevron-right"></span> The Authorisation Code entered is not valid</li>
			<li id="errornumtablesnotavailable" style="display:none"><span class="glyphicon glyphicon-chevron-right"></span> The number of requested tables is not available</li>
			<li id="errorcompanynamerequired" style="display:none"><span class="glyphicon glyphicon-chevron-right"></span> Company Name is a required field</li>
			<li id="errorcompanynamewhitespace" style="display:none"><span class="glyphicon glyphicon-chevron-right"></span> Company Name must contain more than just whitespace</li>
			<li id="erroremailaddress" style="display:none"><span class="glyphicon glyphicon-chevron-right"></span> The Email Address you entered is not valid</li>
			<li id="errorname2required" style="display:none"><span class="glyphicon glyphicon-chevron-right"></span> Member 2 - Both First Name and Last Name are required</li>
			<li id="errorname3required" style="display:none"><span class="glyphicon glyphicon-chevron-right"></span> Member 3 - Both First Name and Last Name are required</li>
		</ul>
	</div>
	<div class="form-group col-sm-12 col-xs-12">
		<label for="firstname" class="col-sm-4 col-xs-6 control-label">Membership</label>
		<div class="input-group col-sm-8 col-xs-6">
			<p class="form-control-static"><?php echo $arrdets["name"];?></p>
		</div>
	</div>
	<div class="form-group col-sm-12 col-xs-12">
		<label for="firstname" class="col-sm-4 col-xs-6 control-label">Cost</label>
		<div class="input-group col-sm-8 col-xs-6">
			<p class="form-control-static" id="memberprice">&pound;<?php echo ($arrdets["price"]<0)?"FREE":$arrdets["price"];?></p>
			<input type="hidden" name="cost" id="cost" value="<?php echo $arrdets["price"];?>"/>
		</div>
	</div>
	<?php if ($isfulldealer) {?>
	<div class="form-group col-sm-12 col-xs-12" id="dealertables" style="display:block">
		<label for="numberoftables" class="col-sm-4 col-xs-12 control-label">Number of Tables @ &pound;<?php echo member_getDealerTableCost();?> each</label>
		<div class="input-group col-sm-8">
			<select name="numberoftables" id="numberoftables" class="form-control" onchange="clearNumTablesError('dealertables',0,'errornumtablesnotavailable','alertbasketerror');updateCost();">
				<?php for ($i=0;$i<$maxtables;$i++) {?>
				<option value="<?php echo $i+1;?>"><?php echo $i+1;?> Table<?php echo ($i+1>1)?"s":"";?></option>
				<?php } ?>
			</select>
			<span class="input-group-addon" style="color: red;font-size:14pt;font-weight:bold;">*</span>
		</div>
	</div>
	<?php }
	if ($isdealer) {?>
	<div class="form-group col-sm-12 col-xs-12" id="dealercompany">
		<label for="companyname" class="col-sm-4 col-xs-12 control-label">Company Name</label>
		<div class="input-group col-sm-8">
			<input type="text" name="companyname" id="companyname" maxlength="45" value="" placeholder="Company Name i.e. J Smith Models" class="form-control"  onblur="validateHasStuff(this,'dealercompany','errorcompanynamewhitespace','alertbasketerror','errorcompanynamerequired',0);"/>
			<span class="input-group-addon" style="color: red;font-size:14pt;font-weight:bold;">*</span>
		</div>
	</div>
	<div class="form-group col-sm-12 col-xs-12">
		<label for="companyname"
			class="col-sm-12 col-xs-12 control-label text-center">You will need
			to purchase your membership(s) separately for both yourself and any
			helpers you need</label>
	</div>
	<?php } ?>
	<div class="form-group col-sm-12 col-xs-12" id="givenname">
		<label for="firstname" class="col-sm-4 col-xs-12 control-label">Personal Name</label>
		<div class="input-group col-sm-8">
			<input type="text" name="firstname" id="firstname" maxlength="45" value="" placeholder="Personal Name i.e. John" class="form-control" onblur="validateHasStuff(this,'givenname','errorfirstnamewhitespace','alertbasketerror','errorfirstnamerequired',0);" />
			<span class="input-group-addon" style="color: red;font-size:14pt;font-weight:bold;">*</span>
		</div>
	</div>
	<div class="form-group col-sm-12 col-xs-12" id="familyname">
		<label for="lastname" class="col-sm-4 col-xs-12 control-label">Family Name</label>
		<div class="input-group col-sm-8">
			<input type="text" name="lastname" id="lastname" maxlength="45" value="" placeholder="Family Name i.e. Smith" class="form-control" onblur="validateHasStuff(this,'familyname','errorlastnamenamewhitespace','alertbasketerror','errorlastnamerequired',0);" />
			<span class="input-group-addon" style="color: red;font-size:14pt;font-weight:bold;">*</span>
		</div>
	</div>
	<div class="form-group col-sm-12 col-xs-12" id="badgenames">
		<label for="emailaddress" class="col-sm-4 col-xs-12 control-label">Name on Badge<br />(If blank we will use your real name)</label>
		<div class="input-group col-sm-8 col-xs-12">
			<input type="text" name="badgename" id="badgename" maxlength="45" value="" placeholder="Name to be displayed on Badge i.e. Mr Smith" class="form-control" onblur="checkWhitespace(this,'badgenames','errorbadgename','alertbasketerror',0);checkEmailMatches('emailaddress','confemailaddress','emailcontact','confemailcontact','erroremailaddressmatch','alertbasketerror');" />
		</div>
	</div>
	<div class="form-group col-sm-12 col-xs-12" id="emailcontact">
		<label for="emailaddress" class="col-sm-4 col-xs-12 control-label">Email Address for confirmation</label>
		<div class="input-group col-sm-8">
			<input type="text" name="emailaddress" id="emailaddress" maxlength="45" value="" placeholder="Email Address i.e. jsmith@example.com" class="form-control" onblur="checkEmailField(this,'emailcontact','erroremailaddress|erroremailrequired','alertbasketerror',0,true);checkEmailMatches('emailaddress','confemailaddress','emailcontact','confemailcontact','erroremailaddressmatch','alertbasketerror');" />
			<span class="input-group-addon" style="color: red;font-size:14pt;font-weight:bold;">*</span>
		</div>
	</div>
	<div class="form-group col-sm-12 col-xs-12" id="emailcontact2">
		<label for="emailaddress2" class="col-sm-4 col-xs-12 control-label">Confirm Email Address</label>
		<div class="input-group col-sm-8">
			<input type="text" name="emailaddress2" id="emailaddress2" maxlength="45" value="" placeholder="Confirm Email Address" class="form-control" onblur="checkEmailField(this,'emailcontact','erroremailaddress|erroremailrequired','alertbasketerror',0,true);" />
			<span class="input-group-addon" style="color: red;font-size:14pt;font-weight:bold;">*</span>
		</div>
	</div>
	<?php if ($bepanellist) {?>
	<div class="form-group col-sm-12 col-xs-12">
		<label for="emailaddress" class="col-sm-4 col-xs-12 control-label">Are you interested in being on a Panel?</label>
		<div class="input-group col-sm-8 col-xs-offset-2 col-xs-10">
			<div class="btn-group" data-toggle="buttons">
				<label class="btn btn-default rounded25"
					onclick="updateButtons('btnpanellist1','btnpanellist2',true);"
					id="btnpanellist1"> <input type="radio" name="bepanellist"
					id="panellist1" value="1"> Yes
				</label> <label
					class="btn btn-default rounded25 active btn-danger btn-danger"
					onclick="updateButtons('btnpanellist1','btnpanellist2',false);"
					id="btnpanellist2"> <input type="radio" name="bepanellist" checked
					id="panellist2" value="0"> No
				</label>
    		</div>
		</div>
	</div>
	<?php } ?>
	<?php if ($isdisabled) {?>
	<div class="form-group col-sm-12 col-xs-12">
		You are allowed to have a Carer attend free of charge if you want, please complete their details if this is required 
	</div>
	<div class="form-group col-sm-12 col-xs-12">
		Carer
	</div>
	<div class="form-group col-sm-12 col-xs-12" id="givenname2">
		<label for="firstname2" class="col-sm-4 col-xs-12 control-label">Personal Name</label>
		<div class="input-group col-sm-8">
			<input type="text" name="firstname2" id="firstname2" maxlength="45" value="" placeholder="Personal Name i.e. John" class="form-control" onblur="validateHasStuff2('firstname2','lastname2','givenname2','familyname2','','alertbasketerror','errorname2required',0);" />
			<span class="input-group-addon" style="color: red;font-size:14pt;font-weight:bold;">*</span>
		</div>
	</div>
	<div class="form-group col-sm-12 col-xs-12" id="familyname2">
		<label for="lastname2" class="col-sm-4 col-xs-12 control-label">Family Name</label>
		<div class="input-group col-sm-8">
			<input type="text" name="lastname2" id="lastname2" maxlength="45" value="" placeholder="Family Name i.e. Smith" class="form-control" onblur="validateHasStuff2('firstname2','lastname2','givenname2','familyname2','','alertbasketerror','errorname2required',0);" />
			<span class="input-group-addon" style="color: red;font-size:14pt;font-weight:bold;">*</span>
		</div>
	</div>
	<div class="form-group col-sm-12 col-xs-12">
		<label for="badgename2" class="col-sm-4 col-xs-12 control-label">Name on Badge<br />(If blank we will use their real name)</label>
		<div class="input-group col-sm-8 col-xs-12">
			<input type="text" name="badgename2" id="badgename2" maxlength="45" value="" placeholder="Name to be displayed on Badge i.e. Mr Smith" class="form-control" onblur="checkWhitespace(this,'badgenames','errorbadgename','alertbasketerror',0);" />
		</div>
	</div>
	<?php if ($bepanellist) {?>
	<div class="form-group col-sm-12 col-xs-12" id="panellist2">
		<label for="panellist2" class="col-sm-4 col-xs-12 control-label">Are they interested in being on a Panel?</label>
		<div class="input-group col-sm-8 col-xs-offset-2 col-xs-10">
			<div class="btn-group" data-toggle="buttons">
    			<label class="btn btn-default">
    				<input type="radio" name="bepanellist2" value="1"> Yes
    			</label>
    			<label class="btn btn-danger active">
    				<input type="radio" name="bepanellist2" checked value="0"> No
    			</label>
    		</div>
		</div>
	</div>
	<?php } ?>
	<?php } ?>
    <?php if (member_isChild( $_GET["type"])) { //child?>
    <div class="form-group col-sm-12 text-center" style="color:red">
		<h3>Children under the age of 14 MUST be accompanied by a paying Adult, BristolCon accepts NO responsibility for any unaccompanied children</h3>
	</div>
    <?php } ?>
	<input type="hidden" name="memtype" value="<?php echo $_GET["type"];?>"> 
	<input type="hidden" id="costpertable" value="<?php echo $arrdets["price"];?>">
	<input type="hidden" name="paytype" id="paytype" value="">
	<input type="hidden" name="payref" id="payref" value="">
	
</form>
<div class="col-sm-12 col-xs-12">&nbsp;</div>
<?php include(ROOTPATH.'/controls/datausage.inc');?>
<div class="col-sm-12 col-xs-12">&nbsp;</div>
<?php include(ROOTPATH.'/controls/formbuttons.inc');?>
<?php include(ROOTPATH.'/template/footer.inc');?>
