<!DOCTYPE html>
<html lang="en">
	<head>
		<title><?php echo $pageHeader; ?></title>
		<link rel="icon" type="image/x-icon" href="/images/favicon.ico">
		<link href="/css/bootstrap.min.css" rel="stylesheet">
		<link href="/css/bootstrap-switch.min.css" rel="stylesheet">
		<link href="/css/font-awesome.min.css" rel="stylesheet">
		<link rel="stylesheet" href="/css/jquery-ui.min.css">
		<link rel="stylesheet" href="/css/jquery.timeentry.css">
		<link href="<?php echo URLPATH;?>/css/custom.css?v=<?php echo filemtime(ROOTPATH.'/css/custom.css') ?>" rel="stylesheet">
		<script type="text/javascript" src="/js/jquery-3.1.0.min.js"></script>
		<script type="text/javascript" src="/js/bootstrap.min.js"></script>
		<script type="text/javascript" src="/js/bootstrap-switch.min.js"></script>
		<script type="text/javascript" src="<?php echo URLPATH;?>/js/site.js?v=<?php echo filemtime(ROOTPATH.'/js/site.js') ?>"></script>
		<script type="text/javascript" src="/js/jquery-ui.min.js"></script>
		<script type="text/javascript" src="/js/jquery.plugin.min.js"></script>
		<script type="text/javascript" src="/js/jquery.timeentry.min.js"></script>
		<script type="text/javascript">
			var urlpath='<?php echo URLPATH;?>';
			var loadingstring='<div class="row"><div class="col-sm-12 text-center">Loading, please wait...<br><img src="/images/loading1.gif" width="48" height="48"/></div></div>';
		</script>
    </head>
    <body>
    	<div class="container-fluid col-sm-12 col-xs-12">
    		<div>&nbsp;</div>
    		<div class="col-sm-12 hidden-xs">
    			<div class="col-sm-6">
    				<h1 class="pagetitle">Membership</h1><h2 class="pagetitle"><?php echo MODULESETTINGS["membership"]["priceband1"];?> Registrations</h2>
    			</div>
    			<div class="col-sm-6 text-right">
    				<a href="/" class="brand"><img src="/images/logo.png"
    					alt="BristolCon Logo" class="img-responsive" /></a>
    			</div>
    		</div>
    		<div class="col-xs-12 hidden-sm hidden-md hidden-lg">
    			<div class="col-xs-12">
    				<a href="/" class="brand"><img src="/images/logo.png"
    					alt="BristolCon Logo" class="img-responsive" /></a>
    			</div>
    		</div>
    		<div class="col-xs-12 hidden-sm hidden-md hidden-lg">
    			<div class="col-xs-12 text-center">
    				<h1 class="pagetitle">Membership</h1><h2 class="pagetitle">Pre&#8209;registrations</h2>
    			</div>
    		</div>
    		<div class="content col-sm-12 col-xs-12">
        			<?php include(ROOTPATH.'/template/alerts.inc');?>
                    <div class="col-sm-12 col-xs-12">
                    <?php include(ROOTPATH."/controls/envcheck.inc");?>
