<?php
function database_SanitiseString($string) {
	$returnstring="";
	$returnstring=str_replace("\\","\\\\",$string);
	$returnstring=str_replace("'","\'",$returnstring);
	return $returnstring;
}

function database_fixQuotes($string) {
	$returnstring="";
	$returnstring=str_replace('"','&quot;',$string);
	return $returnstring;
}

function database_toDatabaseDateTime($datestring) {
    $returndate = date("Y-m-d H:i:s",strtotime(str_replace("/","-",$datestring)));
    return $returndate;
}

function database_fromDatabaseDateTime($datestring) {
    $returndate = date("d/m/Y H:i:s",strtotime($datestring));
    return $returndate;
}

function database_fromDatabaseDate($datestring) {
	$returndate = date("d/m/Y",strtotime($datestring));
	return $returndate;
}

function database_ToDatabaseDate($datestring) {
	$returndate = date("Y-m-d",strtotime(str_replace("/","-",$datestring)));
	return $returndate;
}

function database_removeWhitespace($string) {
	return preg_replace('/\s/', '', $string);
}

function database_toHTMLChar($string) {
    $string=str_replace('&','&amp;',$string);
	$string=str_replace('','&Agrave;',$string);
	$string=str_replace('','&Aacute;',$string);
	$string=str_replace('','&Acirc;',$string);
	$string=str_replace('','&Atilde;',$string);
	$string=str_replace('','&Auml;',$string);
	$string=str_replace('','&Aring;',$string);
	$string=str_replace('','&AElig;',$string);
	$string=str_replace('','&Ccedil;',$string);
	$string=str_replace('','&Egrave;',$string);
	$string=str_replace('','&Eacute;',$string);
	$string=str_replace('','&Ecirc;',$string);
	$string=str_replace('','&Euml;',$string);
	$string=str_replace('','&Igrave;',$string);
	$string=str_replace('','&Iacute;',$string);
	$string=str_replace('','&Icirc;',$string);
	$string=str_replace('','&Iuml;',$string);
	$string=str_replace('','&ETH;',$string);
	$string=str_replace('','&Ntilde;',$string);
	$string=str_replace('','&Ograve;',$string);
	$string=str_replace('','&Oacute;',$string);
	$string=str_replace('','&Ocirc;',$string);
	$string=str_replace('','&Otilde;',$string);
	$string=str_replace('','&Ouml;',$string);
	$string=str_replace('','&Oslash;',$string);
	$string=str_replace('','&Ugrave;',$string);
	$string=str_replace('','&Uacute;',$string);
	$string=str_replace('','&Ucirc;',$string);
	$string=str_replace('','&Uuml;',$string);
	$string=str_replace('','&Yacute;',$string);
	$string=str_replace('','&THORN;',$string);
	$string=str_replace('','&szlig;',$string);
	$string=str_replace('','&agrave;',$string);
	$string=str_replace('','&aacute;',$string);
	$string=str_replace('','&acirc;',$string);
	$string=str_replace('','&atilde;',$string);
	$string=str_replace('','&auml;',$string);
	$string=str_replace('','&aring;',$string);
	$string=str_replace('','&aelig;',$string);
	$string=str_replace('','&ccedil;',$string);
	$string=str_replace('','&egrave;',$string);
	$string=str_replace('','&eacute;',$string);
	$string=str_replace('','&ecirc;',$string);
	$string=str_replace('','&euml;',$string);
	$string=str_replace('','&igrave;',$string);
	$string=str_replace('','&iacute;',$string);
	$string=str_replace('','&icirc;',$string);
	$string=str_replace('','&iuml;',$string);
	$string=str_replace('','&eth;',$string);
	$string=str_replace('','&ntilde;',$string);
	$string=str_replace('','&ograve;',$string);
	$string=str_replace('','&oacute;',$string);
	$string=str_replace('','&ocirc;',$string);
	$string=str_replace('','&otilde;',$string);
	$string=str_replace('','&ouml;',$string);
	$string=str_replace('','&divide;',$string);
	$string=str_replace('','&oslash;',$string);
	$string=str_replace('','&ugrave;',$string);
	$string=str_replace('','&uacute;',$string);
	$string=str_replace('','&ucirc;',$string);
	$string=str_replace('','&uuml;',$string);
	$string=str_replace('','&yacute;',$string);
	$string=str_replace('','&thorn;',$string);
	$string=str_replace('','&yuml;',$string);
	$string=str_replace('','&fnof;',$string);
	$string=str_replace('"','&quot;',$string);
	$string=str_replace('<','&lt;',$string);
	$string=str_replace('>','&gt;',$string);
	return $string;
}
?>